/*
   Copyright (c) 2015 by Plexim GmbH
   All rights reserved.

   A free license is granted to anyone to use this software for any legal
   non safety-critical purpose, including commercial applications, provided
   that:
   1) IT IS NOT USED TO DIRECTLY OR INDIRECTLY COMPETE WITH PLEXIM, and
   2) THIS COPYRIGHT NOTICE IS PRESERVED in its entirety.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
   OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
   AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
   LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
   OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
   SOFTWARE.
*/
 
#include "main.h"
#include "gpio.h"
 
//defines for port initialization
GPIO_TypeDef* Hall_PORT = Hall_GPIO_PORT; 
const uint16_t Hall_GPIO_PIN[Halln] = {HallA_PIN,HallB_PIN,HallC_PIN};
void confHallGPIO(GPIO_TypeDef* GPIOx,uint32_t GPIOPIN);
 
 /*
 * Initialize GPIOs
 */
void initGPIO(void)
{
	//Initialize LEDs and User_Button on STM32F4-Discovery --------------------
  TM_DISCO_ButtonInit(); 
  
  TM_DISCO_LedInit();

	//Initialize HALL Input Ports --------------------
	confHallGPIO(Hall_PORT,Hall_GPIO_PIN[0]);
	confHallGPIO(Hall_PORT,Hall_GPIO_PIN[1]);
	confHallGPIO(Hall_PORT,Hall_GPIO_PIN[2]);
}

/*
 * Configure Hall GPIO
 */
void confHallGPIO(GPIO_TypeDef* GPIOx,uint32_t GPIOPIN)
{
	GPIO_InitTypeDef  GPIO_InitStructure;
  
  /* Enable the GPIO_HALL Clock */
  RCC_AHB1PeriphClockCmd(RCC_AHB1Periph_GPIOC, ENABLE);

  /* Configure the GPIO_HALL pin */
  GPIO_InitStructure.GPIO_Pin = GPIOPIN;
  GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IN;
  GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_DOWN;//-> shows a zero if nothing connected
  GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
  GPIO_Init(GPIOx, &GPIO_InitStructure);
}
