/*
   Copyright (c) 2015 by Plexim GmbH
   All rights reserved.

   A free license is granted to anyone to use this software for any legal
   non safety-critical purpose, including commercial applications, provided
   that:
   1) IT IS NOT USED TO DIRECTLY OR INDIRECTLY COMPETE WITH PLEXIM, and
   2) THIS COPYRIGHT NOTICE IS PRESERVED in its entirety.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
   OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
   AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
   LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
   OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
   SOFTWARE.
*/

#ifndef PU_H_
#define PU_H_

//fixed-point representation for voltages, currents, resistances
#define Q_IV 10
#define R_IV 1024

#define Q_MSPEED 10
#define R_MSPEED 1024

#define Q_ONE 14
#define R_ONE 16384

#define Q_KP 10
#define R_KP 1024
#define Q_KI 14
#define R_KI 16384

//fixed-point references
#define V_REF 36.0
#define I_REF 2.0
#define R_REF (V_REF / I_REF)

#define MSPEED_REF 4000.0

#endif /* PU_H_ */
