/*
 Copyright (c) 2014 by Plexim GmbH
 All rights reserved.

 NOTICE: This software embodies unpublished proprietary
 and trade secret information of Plexim GmbH.  Any copying,
 disclosure or transmission not expressly authorized by
 the owner is expressly prohibited. Plexim GmbH retains exclusive
 ownership of all intellectual property rights in this software,
 including all copyright, trade secret and patent rights.
 */

/**
 * @file vector.h
 * @brief Vector math.
 */

#ifndef FP_VECTOR_H_
#define FP_VECTOR_H_

#include "plx_types.h"

#ifdef __cplusplus
extern "C" {
#endif

extern void PLX_VECT_parkRot(int16_t aA, int16_t aB, int16_t *aD, int16_t *aQ, int16_t aSin, int16_t aCos);
extern void PLX_VECT_invParkRot(int16_t aD, int16_t aQ, int16_t *aA, int16_t *aB, int16_t aSin, int16_t aCos);
extern void PLX_VECT_satYVector(int16_t aRmax, int16_t *aX, int16_t *aY);
extern void PLX_VECT_satVector(int16_t aRmax, int16_t *aX, int16_t *aY);

#ifdef __cplusplus
}
#endif // extern "C"

#endif /* FP_VECTOR_H_ */
